Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/local-post-ideas/location-info

Local location info

Returns the basic location profile used by post-idea generation — name, site URL, categories, and contact/address details.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
locationIdstringrequiredRelay-encoded location ID.

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Request

Request
curl -X GET 'https://api.synup.com/api/v4/local-post-ideas/location-info?locationId=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "localLocationInfo": {
      "id": "string",
      "name": "string",
      "siteUrl": "string",
      "primaryCategory": "string",
      "categories": [
        "string"
      ],
      "country": "string",
      "phone": "string",
      "address": "string",
      "city": "string",
      "state": "string"
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.localLocationInfoobjectoptional
data.localLocationInfo.idstringoptional
data.localLocationInfo.namestringoptional
data.localLocationInfo.siteUrlstringoptional
data.localLocationInfo.primaryCategorystringoptional
data.localLocationInfo.categoriesarray of stringoptional
data.localLocationInfo.countrystringoptional
data.localLocationInfo.phonestringoptional
data.localLocationInfo.addressstringoptional
data.localLocationInfo.citystringoptional
data.localLocationInfo.statestringoptional